/////////////////////////////////////////////////////////////////////////////////////////////////////////
// WaterGameDemo
// WaterGameDemo.cpp
// 
// Code : Anael Seghezzi
/////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "WaterGameDemo.h"
#include "MWaterGame.h"


MWaterGame * game = NULL;

void StartPlugin(void)
{
	// get engine
	MEngine * engine = MEngine::getInstance();

	// add behaviors
	MBehaviorManager * behaviorManager = engine->getBehaviorManager();
	behaviorManager->addBehavior(MBlueFish::getStaticName(), M_OBJECT3D_ENTITY, MBlueFish::getNew);
	behaviorManager->addBehavior(MRedFish::getStaticName(), M_OBJECT3D_ENTITY, MRedFish::getNew);

	// set water game
	game = new MWaterGame();
	engine->setGame(game);
}

void EndPlugin(void)
{
	SAFE_DELETE(game);
}